Index: doc/latex/classegiw__coll__graph.eps
===================================================================
--- doc/latex/classegiw__coll__graph.eps (revision 99)
+++ doc/latex/classegiw__coll__graph.eps (revision 99)
@@ -0,0 +1,454 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 138 254
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 102 218 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 30 0 moveto
+30 19 lineto
+66 19 lineto
+66 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 30 0 moveto
+30 19 lineto
+66 19 lineto
+66 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+38.25 5.25 moveto 19.5 (egiw) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 1 67 35 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classeEF.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 1 66 moveto
+1 85 lineto
+35 85 lineto
+35 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 1 66 moveto
+1 85 lineto
+35 85 lineto
+35 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+9 71.25 moveto 18 (eEF) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 27 57 moveto
+32 44 39 29 44 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 23.8631 55.4404 moveto
+23 66 lineto
+30.2598 58.2834 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 23.8631 55.4404 moveto
+23 66 lineto
+30.2598 58.2834 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 0 125 34 143 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classepdf.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 124 moveto
+0 143 lineto
+35 143 lineto
+35 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 124 moveto
+0 143 lineto
+35 143 lineto
+35 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.625 129.25 moveto 18.75 (epdf) alignedtext
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 17 114 moveto
+17 104 17 93 18 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 13.5001 114 moveto
+17 124 lineto
+20.5001 114 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 13.5001 114 moveto
+17 124 lineto
+20.5001 114 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 3 191 31 209 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classRV.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 3 190 moveto
+3 209 lineto
+32 209 lineto
+32 190 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 3 190 moveto
+3 209 lineto
+32 209 lineto
+32 190 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+10.625 195.25 moveto 12.75 (RV) alignedtext
+grestore
+% Node4->Node3
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 17 180 moveto
+17 168 17 153 17 143 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 13.5001 180 moveto
+17 190 lineto
+20.5001 180 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 13.5001 180 moveto
+17 190 lineto
+20.5001 180 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+17.875 163.25 moveto 8.25 (rv) alignedtext
+grestore
+% Node5
+gsave
+[ /Rect [ 53 67 93 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classldmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 53 66 moveto
+53 85 lineto
+93 85 lineto
+93 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 53 66 moveto
+53 85 lineto
+93 85 lineto
+93 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+61 71.25 moveto 24 (ldmat) alignedtext
+grestore
+% Node5->Node1
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 65 57 moveto
+61 44 55 29 51 19 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 61.7402 58.2834 moveto
+69 66 lineto
+68.1369 55.4404 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 61.7402 58.2834 moveto
+69 66 lineto
+68.1369 55.4404 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+61.625 39.25 moveto 6.75 (V) alignedtext
+grestore
+% Node6
+gsave
+[ /Rect [ 52 125 94 143 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classsqmat.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 52 124 moveto
+52 143 lineto
+95 143 lineto
+95 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 52 124 moveto
+52 143 lineto
+95 143 lineto
+95 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+59.5 129.25 moveto 27 (sqmat) alignedtext
+grestore
+% Node6->Node5
+gsave
+1 setlinewidth
+solid
+0.000 0.812 0.545 edgecolor
+newpath 73 114 moveto
+73 104 73 93 73 85 curveto
+stroke
+0.000 0.812 0.545 edgecolor
+newpath 69.5001 114 moveto
+73 124 lineto
+76.5001 114 lineto
+closepath fill
+1 setlinewidth
+solid
+0.000 0.812 0.545 edgecolor
+newpath 69.5001 114 moveto
+73 124 lineto
+76.5001 114 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 138 254
+end
+restore
+%%EOF
Index: doc/latex/classEKFfull__inherit__graph.md5
===================================================================
--- doc/latex/classEKFfull__inherit__graph.md5 (revision 99)
+++ doc/latex/classEKFfull__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+5015ca639cfe3931d79f5fc4eb2b9eb8
Index: doc/latex/classuivector__coll__graph.eps
===================================================================
--- doc/latex/classuivector__coll__graph.eps (revision 99)
+++ doc/latex/classuivector__coll__graph.eps (revision 99)
@@ -0,0 +1,336 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 148 200
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 112 164 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+75 19 lineto
+75 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+75 19 lineto
+75 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.75 5.25 moveto 58.5 (uivector< T >) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 15 59 59 77 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuibase.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 15 58 moveto
+15 77 lineto
+60 77 lineto
+60 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 15 58 moveto
+15 77 lineto
+60 77 lineto
+60 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+22.75 63.25 moveto 28.5 (uibase) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 37 48 moveto
+37 38 37 27 37 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 33.5001 48 moveto
+37 58 lineto
+40.5001 48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 33.5001 48 moveto
+37 58 lineto
+40.5001 48 lineto
+closepath stroke
+grestore
+% Node2->Node2
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 70 72 moveto
+74 72 77 70 77 68 curveto
+77 64 69 63 60 63 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 69.6021 68.5222 moveto
+60 73 lineto
+70.2987 75.4875 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 69.6021 68.5222 moveto
+60 73 lineto
+70.2987 75.4875 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+76.5 64.25 moveto 27 (parent) alignedtext
+grestore
+% Node3
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 17 136 moveto
+17 155 lineto
+57 155 lineto
+57 136 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 17 136 moveto
+17 155 lineto
+57 155 lineto
+57 136 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+25 141.25 moveto 24 (string) alignedtext
+grestore
+% Node3->Node2
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 37 126 moveto
+37 110 37 89 37 77 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 33.5001 126 moveto
+37 136 lineto
+40.5001 126 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 33.5001 126 moveto
+37 136 lineto
+40.5001 126 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+40 108.5 moveto 18 (help) alignedtext
+0.000 0.000 0.000 edgecolor
+10.00 /FreeSans set_font
+37 98 moveto 24 (name) alignedtext
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 148 200
+end
+restore
+%%EOF
Index: doc/latex/classuimatrix__coll__graph.md5
===================================================================
--- doc/latex/classuimatrix__coll__graph.md5 (revision 99)
+++ doc/latex/classuimatrix__coll__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+fae3d079ab3c24b14dd8397bc15c86e7
Index: doc/latex/classARX__inherit__graph.eps
===================================================================
--- doc/latex/classARX__inherit__graph.eps (revision 99)
+++ doc/latex/classARX__inherit__graph.eps (revision 99)
@@ -0,0 +1,264 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 80 120
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 44 84 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+36 19 lineto
+36 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+36 19 lineto
+36 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.875 5.25 moveto 20.25 (ARX) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 3 57 33 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classBM.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 3 56 moveto
+3 75 lineto
+34 75 lineto
+34 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 3 56 moveto
+3 75 lineto
+34 75 lineto
+34 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+10.5 61.25 moveto 15 (BM) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 18 46 moveto
+18 37 18 26 18 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 14.5001 46 moveto
+18 56 lineto
+21.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 14.5001 46 moveto
+18 56 lineto
+21.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 80 120
+end
+restore
+%%EOF
Index: doc/latex/libPF_8h__dep__incl.md5
===================================================================
--- doc/latex/libPF_8h__dep__incl.md5 (revision 99)
+++ doc/latex/libPF_8h__dep__incl.md5 (revision 99)
@@ -0,0 +1,1 @@
+1fe7f4293445a7964d71de029f356a27
Index: doc/latex/chmat_8h__dep__incl.eps
===================================================================
--- doc/latex/chmat_8h__dep__incl.eps (revision 91)
+++ doc/latex/chmat_8h__dep__incl.eps (revision 99)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 320 176
+%%PageBoundingBox: 36 36 488 176
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 284 140 boxprim clip newpath
+36 36 452 140 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 63 112 moveto
-63 131 lineto
-213 131 lineto
-213 112 lineto
+newpath 115 112 moveto
+115 131 lineto
+265 131 lineto
+265 112 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 63 112 moveto
-63 131 lineto
-213 131 lineto
-213 112 lineto
+newpath 115 112 moveto
+115 131 lineto
+265 131 lineto
+265 112 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans set_font
-70.875 117.25 moveto 134.25 (work/mixpp/bdm/math/chmat.h) alignedtext
+122.875 117.25 moveto 134.25 (work/mixpp/bdm/math/chmat.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 65 57 211 75 ]
+[ /Rect [ 117 57 263 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libKF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 65 56 moveto
-65 75 lineto
-212 75 lineto
-212 56 lineto
+newpath 117 56 moveto
+117 75 lineto
+264 75 lineto
+264 56 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 65 56 moveto
-65 75 lineto
-212 75 lineto
-212 56 lineto
+newpath 117 56 moveto
+117 75 lineto
+264 75 lineto
+264 56 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans set_font
-72.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
+124.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,69 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 138 102 moveto
-138 93 138 82 138 75 curveto
+newpath 190 102 moveto
+190 93 190 82 190 75 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 134.5 102 moveto
-138 112 lineto
-141.5 102 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134.5 102 moveto
-138 112 lineto
-141.5 102 lineto
+newpath 186.5 102 moveto
+190 112 lineto
+193.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 186.5 102 moveto
+190 112 lineto
+193.5 102 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 0 1 276 19 ]
+[ /Rect [ 0 1 150 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+151 19 lineto
+151 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+151 19 lineto
+151 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.5 5.25 moveto 135 (work/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 160 52 moveto
+138 42 111 28 93 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 158.44 55.1369 moveto
+169 56 lineto
+161.283 48.7402 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 158.44 55.1369 moveto
+169 56 lineto
+161.283 48.7402 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 168 1 444 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
@@ -260,40 +306,40 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 19 lineto
-276 19 lineto
-276 0 lineto
+newpath 168 0 moveto
+168 19 lineto
+444 19 lineto
+444 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 19 lineto
-276 19 lineto
-276 0 lineto
+newpath 168 0 moveto
+168 19 lineto
+444 19 lineto
+444 0 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10.00 /FreeSans set_font
-7.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
-grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 138 46 moveto
-138 37 138 26 138 19 curveto
+175.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node2->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 220 52 moveto
+242 42 269 28 287 19 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 134.5 46 moveto
-138 56 lineto
-141.5 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 134.5 46 moveto
-138 56 lineto
-141.5 46 lineto
+newpath 218.717 48.7402 moveto
+211 56 lineto
+221.56 55.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 218.717 48.7402 moveto
+211 56 lineto
+221.56 55.1369 lineto
 closepath stroke
 grestore
@@ -305,5 +351,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 320 176
+%%BoundingBox: 36 36 488 176
 end
 restore
